#ifndef LIP_OPCUA_SERVER_TREE_STD_DATATYPE_SERVER_STATUS_H
#define LIP_OPCUA_SERVER_TREE_STD_DATATYPE_SERVER_STATUS_H

struct st_lip_opcua_tree_item;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_server_status;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_datatype_server_status_enc_bin;


extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vartype_server_status;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_start_time;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_cur_time;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_state;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_secs_till_shutdown;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_shutdown_reason;

extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info_product_uri;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info_manufacturer_name;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info_product_name;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info_software_version;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info_build_number;
extern const struct st_lip_opcua_tree_item g_lip_opcua_tree_std_item_vardecl_server_status_build_info_build_date;

#endif // LIP_OPCUA_SERVER_TREE_STD_DATATYPE_SERVER_STATUS_H
